com.hazelcast.nio

## Class Protocols

- java.lang.Object
- - com.hazelcast.nio.Protocols

-     @PrivateApi
      public final class Protocols
      extends Object

  First bytes to send a node that defines selected protocol

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `static String` | `CLIENT_BINARY_NEW` New Client Protocol that is used for clients (Java, c++, c# client)
    `static String` | `CLUSTER` Protocol that is used among nodes
    `static String` | `MEMCACHE` Protocol that is used by Memcached
    `static int` | `PROTOCOL_LENGTH` The length in bytes of the of the protocol-string
    `static String` | `REST` Protocol that is used by REST

  - ### Method Summary

    All Methods Static Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `static String` | `toUserFriendlyString(String protocol)`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### PROTOCOL_LENGTH

          public static final int PROTOCOL_LENGTH

      The length in bytes of the of the protocol-string
      See Also:
        Constant Field Values

    - #### CLUSTER

          public static final String CLUSTER

      Protocol that is used among nodes
      See Also:
        Constant Field Values

    - #### CLIENT_BINARY_NEW

          public static final String CLIENT_BINARY_NEW

      New Client Protocol that is used for clients (Java, c++, c# client)
      See Also:
        Constant Field Values

    - #### REST

          public static final String REST

      Protocol that is used by REST
      See Also:
        Constant Field Values

    - #### MEMCACHE

          public static final String MEMCACHE

      Protocol that is used by Memcached
      See Also:
        Constant Field Values

  - ### Method Detail

    - #### toUserFriendlyString

          public static String toUserFriendlyString(String protocol)

Copyright © 2019. All rights reserved.